Pregunta Xcode no se pudo instalar


Estoy tratando de instalar Xcode 4.2 en mi Mac sistema con SO versión 10.6.8. En realidad, eliminé el Xcode del sistema e intenté reinstalarlo.

Lo dejo iTunes antes de instalarlo, y tengo suficiente espacio libre en el disco (111 GB). A continuación se muestra una captura de pantalla del error. ¿Que debería hacer?

Screnshot


23
2018-04-01 12:53


origen


Respuestas:


Establezca la hora de su sistema al 1 de enero de 2012 o antes (pero no demasiado pronto), ya que el certificado que firmó el paquete ha expirado.


73
2018-04-01 14:57



Tuve el mismo mensaje de error. En mi caso, fue resuelto actualizando el software del sistema operativo. Hubo una actualización esperando por el "software de instalación de Apple". Después de la actualización, Xcode se instaló perfectamente.


1
2018-04-28 10:09



Descubrí que podía descargar el instalador directamente de Apple en lugar de hacerlo a través de la tienda de aplicaciones, y que el error descrito por la respuesta aceptada también podía eludirse instalando el Mobile Development Framework manualmente.

Ver la publicación del foro Problemas al instalar Xcode en Lion para más detalles.


0
2018-06-02 21:15



Tuve el mismo problema en Mac OS 10.8.5 al instalar Xcode 4.4.1, Xcode 5.1.1 y Security_Update_2014-005. Resultó que la razón era la misma en todos estos casos: una incompatibilidad con los controladores Vodafone / Huawei UMTS. Una solución alternativa en este caso es alejarlos temporalmente, p.

mv /System/Library/Extensions/{HuaweiDataCardDriver.kext,Vodafone.kext,VodafoneFilter.kext} ~

Luego haga la instalación / actualización, y luego restaure esos controladores, por ejemplo,

mv ~/{HuaweiDataCardDriver.kext,Vodafone.kext,VodafoneFilter.kext} /System/Library/Extensions/

0
2017-07-26 11:24